%% Script to export the statistically processed data to TeX table

 folderName = plottingData(1).projectName;
 exportFolderName = strcat('output/',folderName);
 fileNameData = [exportFolderName,'/',folderName,'-data.txt'];
    
 if ~isequal(exist(exportFolderName,'dir'),7) % check whether the destination folder exists
     mkdir(strcat(pwd,'/output'),char(folderName))
 end  
fileID = fopen(fileNameData,'w');

fprintf(fileID,'LATEX INPUT:\n');
fprintf(fileID,'------------\n');
fprintf(fileID,'------------\n');
fprintf(fileID,'\n');
fprintf(fileID,'\\begin{table}[ht]');
fprintf(fileID,'\\caption{--> here comes the table caption <--}\n');
fprintf(fileID,'\\label{tab:--> here comes the table caption <--}\n'); 
fprintf(fileID,' \\centering\n'); 
fprintf(fileID,' \\begin{tabular}{c c c c c }\n');
fprintf(fileID,'  \\hline\n'); 
fprintf(fileID,'    \\multirow{2}{*}{mix} & $F_{\\mathrm{max}}$ & $d$ at $F_{\\mathrm{max}}$ & $G_f$         & $d_{\\mathrm{max}}$  \\\\\n'); 
fprintf(fileID,'                         & [y-unit]           & [x-unit]                  & [energy unit] & [x-unit]             \\\\ \\hline \n'); 
fprintf(fileID,'    %s  & %.3f ($\\pm$~%.3f) &  %.3f ($\\pm$~%.3f) &  %.3f ($\\pm$~%.3f) &  %.3f ($\\pm$~%.3f) \\\\ \\hline \n',...
    plottingData(1).projectName, averageValues(1), standardDeviations(1), averageValues(2), standardDeviations(2),...
    averageValues(3), standardDeviations(3), averageValues(4), standardDeviations(4)); 
fprintf(fileID,' \\end{tabular}\n');
fprintf(fileID,'\\end{table}\n');

fprintf(fileID,'\n');
fprintf(fileID,'\n');
fprintf(fileID,'DATA SUMMARY:\n');
fprintf(fileID,'-------------\n');
fprintf(fileID,'-------------\n');
fprintf(fileID,'\n');
fprintf(fileID,'Mean values:\n');
fprintf(fileID,'------------\n');
fprintf(fileID,'Y max \t X @ Y max \t area \t X max \n');
fprintf(fileID,'%.3f \t\t %.3f \t\t %.3f \t\t %.3f \n',averageValues(1),averageValues(2),averageValues(3),averageValues(4));
fprintf(fileID,'\n');
fprintf(fileID,'Standard deviations:\n');
fprintf(fileID,'--------------------\n');
fprintf(fileID,'Y max \t X @ Y max \t area \t X max \n');
fprintf(fileID,'%.3f \t\t %.3f \t\t %.3f \t\t %.3f \n',standardDeviations(1),standardDeviations(2),standardDeviations(3),standardDeviations(4));
fprintf(fileID,'\n');
fprintf(fileID,'Coefficients of variation [%%]:\n');
fprintf(fileID,'------------------------------\n');
fprintf(fileID,'Y max \t X @ Y max \t area \t X max \n');
fprintf(fileID,'%.1f \t\t %.1f \t\t %.1f \t\t %.1f \n',coeffOfVariation(1),coeffOfVariation(2),coeffOfVariation(3),coeffOfVariation(4));
fprintf(fileID,'\n');

fclose(fileID);

hMsgBox = msgbox('Data saved successfuly.');
pause(1.5)
close(hMsgBox)